codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  Hatch object

An area fill consisting of a pattern of lines.

VBA class name:

AcadHatch 

Create using:

ModelSpace.AddHatch
PaperSpace.AddHatch
Block.AddHatch 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

To create a hatch, first create the Hatch object using the AddHatch method. After the Hatch object has been created, add the outer loop using the AppendOuterLoop method. The outer loop must be closed and must be created before any inner loops can be added. After a valid outer loop has been created, add any inner loops, one at a time, using AppendInnerLoop method.

WARNING! Once the Hatch object has been created, you must add the outer loop to the Hatch object for it to become a valid AutoCAD object. If you attempt any operation other than calling the AppendOuterLoop method, AutoCAD will enter an unpredictable state.

To edit a Hatch object, use the following methods and properties:

Methods

AppendInnerLoop

AppendOuterLoop

ArrayPolar

ArrayRectangular

Copy

Delete

Evaluate

GetBoundingBox

GetExtensionDictionary

GetLoopAt

GetXData

Highlight

InsertLoopAt

IntersectWith

Mirror

Mirror3D

Move

Rotate

Rotate3D

ScaleEntity

SetPattern

SetXData

TransformBy

Update

Properties

Application

Area

AssociativeHatch

Document

Elevation

GradientAngle

GradientCentered

GradientColor1

GradientColor2

GradientName

Handle

HasExtensionDictionary

HatchObjectType

HatchStyle

Hyperlinks

ISOPenWidth

Layer

Linetype

LinetypeScale

Lineweight

Normal

NumberOfLoops

ObjectID

ObjectName

Origin

OwnerID

PatternAngle

PatternDouble

PatternName

PatternScale

PatternSpace

PatternType

PlotStyleName

TrueColor

Visible

Events

Modified  

 

   Comments?